>From d4a3851cefb483541cbf1b897fcd3903d04fc25b Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Tue, 23 Dec 2014 15:12:04 +0900
Subject: [PATCH 11/13] Move documentation of new src/bin utilities to ref/

Their sgml ID is not updated to keep consistent URLs with past versions.
---
 doc/src/sgml/filelist.sgml                   |  6 ------
 doc/src/sgml/ref/allfiles.sgml               |  7 +++++++
 doc/src/sgml/{ => ref}/pg_xlogdump.sgml      |  0
 doc/src/sgml/{ => ref}/pgarchivecleanup.sgml | 13 ++++---------
 doc/src/sgml/{ => ref}/pgstandby.sgml        | 13 ++++---------
 doc/src/sgml/{ => ref}/pgtestfsync.sgml      | 13 ++++---------
 doc/src/sgml/{ => ref}/pgtesttiming.sgml     | 13 ++++---------
 doc/src/sgml/{ => ref}/pgupgrade.sgml        |  5 ++++-
 doc/src/sgml/reference.sgml                  | 12 ++++++------
 9 files changed, 33 insertions(+), 49 deletions(-)
 rename doc/src/sgml/{ => ref}/pg_xlogdump.sgml (100%)
 rename doc/src/sgml/{ => ref}/pgarchivecleanup.sgml (97%)
 rename doc/src/sgml/{ => ref}/pgstandby.sgml (98%)
 rename doc/src/sgml/{ => ref}/pgtestfsync.sgml (95%)
 rename doc/src/sgml/{ => ref}/pgtesttiming.sgml (98%)
 rename doc/src/sgml/{ => ref}/pgupgrade.sgml (99%)

diff --git a/doc/src/sgml/filelist.sgml b/doc/src/sgml/filelist.sgml
index f03b72a..2e3a618 100644
--- a/doc/src/sgml/filelist.sgml
+++ b/doc/src/sgml/filelist.sgml
@@ -125,20 +125,14 @@
 <!ENTITY pageinspect     SYSTEM "pageinspect.sgml">
 <!ENTITY passwordcheck   SYSTEM "passwordcheck.sgml">
 <!ENTITY pgbench         SYSTEM "pgbench.sgml">
-<!ENTITY pgarchivecleanup SYSTEM "pgarchivecleanup.sgml">
 <!ENTITY pgbuffercache   SYSTEM "pgbuffercache.sgml">
 <!ENTITY pgcrypto        SYSTEM "pgcrypto.sgml">
 <!ENTITY pgfreespacemap  SYSTEM "pgfreespacemap.sgml">
 <!ENTITY pgprewarm       SYSTEM "pgprewarm.sgml">
 <!ENTITY pgrowlocks      SYSTEM "pgrowlocks.sgml">
-<!ENTITY pgstandby       SYSTEM "pgstandby.sgml">
 <!ENTITY pgstatstatements SYSTEM "pgstatstatements.sgml">
 <!ENTITY pgstattuple     SYSTEM "pgstattuple.sgml">
-<!ENTITY pgtestfsync     SYSTEM "pgtestfsync.sgml">
-<!ENTITY pgtesttiming    SYSTEM "pgtesttiming.sgml">
 <!ENTITY pgtrgm          SYSTEM "pgtrgm.sgml">
-<!ENTITY pgupgrade       SYSTEM "pgupgrade.sgml">
-<!ENTITY pgxlogdump      SYSTEM "pg_xlogdump.sgml">
 <!ENTITY postgres-fdw    SYSTEM "postgres-fdw.sgml">
 <!ENTITY seg             SYSTEM "seg.sgml">
 <!ENTITY contrib-spi     SYSTEM "contrib-spi.sgml">
diff --git a/doc/src/sgml/ref/allfiles.sgml b/doc/src/sgml/ref/allfiles.sgml
index 7aa3128..f709d65 100644
--- a/doc/src/sgml/ref/allfiles.sgml
+++ b/doc/src/sgml/ref/allfiles.sgml
@@ -179,6 +179,7 @@ Complete list of usable sgml source files in this directory.
 <!ENTITY dropuser           SYSTEM "dropuser.sgml">
 <!ENTITY ecpgRef            SYSTEM "ecpg-ref.sgml">
 <!ENTITY initdb             SYSTEM "initdb.sgml">
+<!ENTITY pgArchivecleanup   SYSTEM "pgarchivecleanup.sgml">
 <!ENTITY pgBasebackup       SYSTEM "pg_basebackup.sgml">
 <!ENTITY pgConfig           SYSTEM "pg_config-ref.sgml">
 <!ENTITY pgControldata      SYSTEM "pg_controldata.sgml">
@@ -190,6 +191,12 @@ Complete list of usable sgml source files in this directory.
 <!ENTITY pgRecvlogical      SYSTEM "pg_recvlogical.sgml">
 <!ENTITY pgResetxlog        SYSTEM "pg_resetxlog.sgml">
 <!ENTITY pgRestore          SYSTEM "pg_restore.sgml">
+<!ENTITY pgStandby          SYSTEM "pgstandby.sgml">
+<!ENTITY pgTestfsync        SYSTEM "pgtestfsync.sgml">
+<!ENTITY pgTesttiming       SYSTEM "pgtesttiming.sgml">
+<!ENTITY pgUpgrade          SYSTEM "pgupgrade.sgml">
+<!ENTITY pgXlogdump         SYSTEM "pg_xlogdump.sgml">
+
 <!ENTITY postgres           SYSTEM "postgres-ref.sgml">
 <!ENTITY postmaster         SYSTEM "postmaster.sgml">
 <!ENTITY psqlRef            SYSTEM "psql-ref.sgml">
diff --git a/doc/src/sgml/pg_xlogdump.sgml b/doc/src/sgml/ref/pg_xlogdump.sgml
similarity index 100%
rename from doc/src/sgml/pg_xlogdump.sgml
rename to doc/src/sgml/ref/pg_xlogdump.sgml
diff --git a/doc/src/sgml/pgarchivecleanup.sgml b/doc/src/sgml/ref/pgarchivecleanup.sgml
similarity index 97%
rename from doc/src/sgml/pgarchivecleanup.sgml
rename to doc/src/sgml/ref/pgarchivecleanup.sgml
index fdf0cbb..2665c53 100644
--- a/doc/src/sgml/pgarchivecleanup.sgml
+++ b/doc/src/sgml/ref/pgarchivecleanup.sgml
@@ -1,4 +1,7 @@
-<!-- doc/src/sgml/pgarchivecleanup.sgml -->
+<!--
+doc/src/sgml/ref/pgarchivecleanup.sgml
+PostgreSQL documentation
+-->
 
 <refentry id="pgarchivecleanup">
  <indexterm zone="pgarchivecleanup">
@@ -194,14 +197,6 @@ archive_cleanup_command = 'pg_archivecleanup -d /mnt/standby/archive %r 2>>clean
  </refsect1>
 
  <refsect1>
-  <title>Author</title>
-
-  <para>
-   Simon Riggs <email>simon@2ndquadrant.com</email>
-  </para>
- </refsect1>
-
- <refsect1>
   <title>See Also</title>
 
   <simplelist type="inline">
diff --git a/doc/src/sgml/pgstandby.sgml b/doc/src/sgml/ref/pgstandby.sgml
similarity index 98%
rename from doc/src/sgml/pgstandby.sgml
rename to doc/src/sgml/ref/pgstandby.sgml
index fb3f32e..87d5043 100644
--- a/doc/src/sgml/pgstandby.sgml
+++ b/doc/src/sgml/ref/pgstandby.sgml
@@ -1,4 +1,7 @@
-<!-- doc/src/sgml/pgstandby.sgml -->
+<!--
+doc/src/sgml/ref/pgstandby.sgml
+PostgreSQL documentation
+-->
 
 <refentry id="pgstandby">
  <indexterm zone="pgstandby">
@@ -377,14 +380,6 @@ recovery_end_command = 'del C:\pgsql.trigger.5442'
  </refsect1>
 
  <refsect1>
-  <title>Author</title>
-
-  <para>
-   Simon Riggs <email>simon@2ndquadrant.com</email>
-  </para>
- </refsect1>
-
- <refsect1>
   <title>See Also</title>
 
   <simplelist type="inline">
diff --git a/doc/src/sgml/pgtestfsync.sgml b/doc/src/sgml/ref/pgtestfsync.sgml
similarity index 95%
rename from doc/src/sgml/pgtestfsync.sgml
rename to doc/src/sgml/ref/pgtestfsync.sgml
index c4b4014..3f76071 100644
--- a/doc/src/sgml/pgtestfsync.sgml
+++ b/doc/src/sgml/ref/pgtestfsync.sgml
@@ -1,4 +1,7 @@
-<!-- doc/src/sgml/pgtestfsync.sgml -->
+<!--
+doc/src/sgml/ref/pgtestfsync.sgml
+PostgreSQL documentation
+-->
 
 <refentry id="pgtestfsync">
  <indexterm zone="pgtestfsync">
@@ -104,14 +107,6 @@
  </refsect1>
 
  <refsect1>
-  <title>Author</title>
-
-  <para>
-   Bruce Momjian <email>bruce@momjian.us</email>
-  </para>
- </refsect1>
-
- <refsect1>
   <title>See Also</title>
 
   <simplelist type="inline">
diff --git a/doc/src/sgml/pgtesttiming.sgml b/doc/src/sgml/ref/pgtesttiming.sgml
similarity index 98%
rename from doc/src/sgml/pgtesttiming.sgml
rename to doc/src/sgml/ref/pgtesttiming.sgml
index a6ab9b1..9850538 100644
--- a/doc/src/sgml/pgtesttiming.sgml
+++ b/doc/src/sgml/ref/pgtesttiming.sgml
@@ -1,4 +1,7 @@
-<!-- doc/src/sgml/pgtesttiming.sgml -->
+<!--
+doc/src/sgml/ref/pgtesttiming.sgml
+PostgreSQL documentation
+-->
 
 <refentry id="pgtesttiming">
  <indexterm zone="pgtesttiming">
@@ -291,14 +294,6 @@ Histogram of timing durations:
  </refsect1>
 
  <refsect1>
-  <title>Author</title>
-
-  <para>
-   Ants Aasma <email>ants.aasma@eesti.ee</email>
-  </para>
- </refsect1>
-
- <refsect1>
   <title>See Also</title>
 
   <simplelist type="inline">
diff --git a/doc/src/sgml/pgupgrade.sgml b/doc/src/sgml/ref/pgupgrade.sgml
similarity index 99%
rename from doc/src/sgml/pgupgrade.sgml
rename to doc/src/sgml/ref/pgupgrade.sgml
index bee62c4..c073234 100644
--- a/doc/src/sgml/pgupgrade.sgml
+++ b/doc/src/sgml/ref/pgupgrade.sgml
@@ -1,4 +1,7 @@
-<!-- doc/src/sgml/pgupgrade.sgml -->
+<!--
+doc/src/sgml/ref/pgupgrade.sgml
+PostgreSQL documentation
+-->
 
 <refentry id="pgupgrade">
  <indexterm zone="pgupgrade">
diff --git a/doc/src/sgml/reference.sgml b/doc/src/sgml/reference.sgml
index a26ec9f..8a9c03d 100644
--- a/doc/src/sgml/reference.sgml
+++ b/doc/src/sgml/reference.sgml
@@ -258,15 +258,15 @@
   </partintro>
 
    &initdb;
-   &pgarchivecleanup;
+   &pgArchivecleanup;
    &pgControldata;
    &pgCtl;
    &pgResetxlog;
-   &pgstandby;
-   &pgtestfsync;
-   &pgtesttiming;
-   &pgupgrade;
-   &pgxlogdump;
+   &pgStandby;
+   &pgTestfsync;
+   &pgTesttiming;
+   &pgUpgrade;
+   &pgXlogdump;
    &postgres;
    &postmaster;
 
-- 
2.2.1.212.gc5b9256

